Calculate Health Scores for Time Series Data

Processes time series biomarker data for one or more users and returns comprehensive health scores, disease risk, biologic age, disease attribution and more.

Important Notes:

  • All dates should be in ISO 8601 format: YYYY-MM-DD (e.g., 2025-06-03). Where a time is provided it should be: YYYY-MM-DDTHH:MM:SSZ (e.g., 2025-06-03T15:35:35Z)
  • For time series scoring requests, you can provide either ages_to_score or dates_to_score to specify the ages at which to score diseases, and if both are provided, the service will prioritize dates_to_score for determining scoring ages. Additionally, for each health event, you can provide either event_age or health_event_date to specify the age of the health event for scoring, and if both are provided, the service will prioritize health_event_date for determining the age of the health event for scoring. The service uses the provided ages or dates along with the date_of_birth and health event predictors to determine which predictors to use for scoring.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The request object for calculating health scores for time series data. NOTE - You can provide either ages_to_score or dates_to_score to specify the ages at which to score diseases for the time series request, and if you provide both, the model will prioritize dates_to_score for determining scoring ages. Additionally, for each health event, you can provide either event_age or health_event_date to specify the age of the health event for scoring, and if you provide both, the model will prioritize health_event_date for determining the age of the health event for scoring. The model uses the provided ages or dates along with the date_of_birth and health event predictors to determine which predictors to use for scoring and to calculate biologic age for diseases.

scoring_event_metadata
object
required

Metadata for the scoring event

string
required

External user identifier

ages_to_score
array of numbers

Array of ages to score diseases at for the time series request

ages_to_score
dates_to_score
array of dates

Array of dates to score diseases at for the time series request. The model will calculate the age for scoring based on the date_of_birth and the date_to_score. This is an alternative to providing ages_to_score, and if both are provided, the model will prioritize dates_to_score for determining scoring ages.

dates_to_score
string

The date of birth of the user. This is used by the model to calculate the age for scoring based on the dates_to_score if provided, and is also used in conjunction with health_event_date for determining which predictors to use for scoring and calculating biologic age for diseases. This should be provided if you are providing dates_to_score or health_event_date in the request.

health_events
array of objects
required

Array of health events to be used for scoring in the time series request

health_events*
Responses

400

Bad Request - Invalid input data

401

Unauthorized - Invalid or missing API key

422

Unprocessable Entity - Validation error in the request

429

Too Many Requests - Rate limit exceeded

500

Internal Server Error

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json